using System.Runtime.Serialization;
using IbEm = IdeaBlade.EntityModel;

namespace AdvancedNorthwindModel
{
    /// <summary>
    /// Example of base class for selected entity classes 
    /// </summary>
    /// <remarks>
    /// A class with the EDM Tag property that includes the string, "Actor",
    /// will inherit from this class.
    /// See the DRC topic "Add custom base class"
    /// http://drc.ideablade.com/xwiki/bin/preview/Documentation/model-custom-base-class
    /// </remarks>
    [DataContract(IsReference = true)]
    [IbEm.DiscoverableType(IbEm.DiscoverableTypeMode.KnownType)]
    public abstract class Actor :EntityBase
    {
        
    }
}