Imports System.Runtime.Serialization
Imports IbEm = IdeaBlade.EntityModel

''' <summary>
''' Example of base class for selected entity classes 
''' </summary>
''' <remarks>
''' A class with the EDM Tag property that includes the string, "Actor",
''' will inherit from this class.
''' See the DRC topic "Add custom base class"
''' http://drc.ideablade.com/xwiki/bin/preview/Documentation/model-custom-base-class
''' </remarks>
<DataContract(IsReference:=True), IbEm.DiscoverableType(IbEm.DiscoverableTypeMode.KnownType)>
Public MustInherit Class Actor
    Inherits EntityBase

End Class
